Warning, /multimedia/dragon/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required(VERSION 3.16)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "22")
0005 set(RELEASE_SERVICE_VERSION_MINOR "08")
0006 set(RELEASE_SERVICE_VERSION_MICRO "1")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 project(DragonPlayer VERSION ${RELEASE_SERVICE_VERSION})
0010 
0011 set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
0012 
0013 set(QT_MIN_VERSION "5.15.0")
0014 set(KF5_MIN_VERSION "5.85.0")
0015 
0016 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
0017 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
0018 
0019 include(KDEInstallDirs)
0020 include(KDECMakeSettings)
0021 include(KDECompilerSettings NO_POLICY_SCOPE)
0022 
0023 include(ECMInstallIcons)
0024 include(ECMSetupVersion)
0025 include(FeatureSummary)
0026 
0027 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
0028     Core
0029     Widgets
0030 )
0031 
0032 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
0033     Config
0034     ConfigWidgets
0035     CoreAddons
0036     Crash
0037     DBusAddons
0038     DocTools
0039     I18n
0040     JobWidgets
0041     KIO
0042     Parts
0043     Solid
0044     WidgetsAddons
0045     WindowSystem
0046     XmlGui
0047     Notifications
0048 )
0049 find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
0050 
0051 include_directories(
0052     ${CMAKE_CURRENT_BINARY_DIR}/src
0053     ${CMAKE_CURRENT_BINARY_DIR}/src/app
0054     ${CMAKE_CURRENT_SOURCE_DIR}/src
0055     ${CMAKE_CURRENT_SOURCE_DIR}/src/app
0056     ${CMAKE_CURRENT_BINARY_DIR}
0057     )
0058 
0059 include_directories(BEFORE SYSTEM ${PHONON_INCLUDES})
0060 
0061 include(CheckIncludeFiles)
0062 check_include_files(unistd.h HAVE_UNISTD_H)
0063 
0064 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
0065 
0066 add_definitions(
0067     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
0068     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
0069     -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500
0070     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
0071 )
0072 
0073 add_definitions(-DTRANSLATION_DOMAIN="dragonplayer")
0074 
0075 add_subdirectory( src/app )
0076 add_subdirectory( misc )
0077 add_subdirectory( doc )
0078 
0079 ki18n_install(po)
0080 kdoctools_install(po)
0081 
0082 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)